--------------------------------------------------------
--  File created - Sunday-October-26-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Sequence AGENT_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."AGENT_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence CERTS_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."CERTS_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence HOST_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."HOST_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence IGNORECERTS_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."IGNORECERTS_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence LOG_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."LOG_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence NOTIFY_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."NOTIFY_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence OWNER_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."OWNER_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence PWDS_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."PWDS_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence SCANLIST_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."SCANLIST_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Sequence SCHD_GUIDGEN
--------------------------------------------------------

   CREATE SEQUENCE  "SMNSWR_CERTMGMT"."SCHD_GUIDGEN"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
--------------------------------------------------------
--  DDL for Table SMNSWR_AGENT
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_AGENT" 
   (	"SMNSWR_AGENT_GUID" NUMBER(10,0), 
	"SMNSWR_AGENT_NAME" VARCHAR2(100 CHAR), 
	"SMNSWR_AGENT_SERVER" VARCHAR2(50 CHAR), 
	"SMNSWR_AGENT_SERVER_AGENT" VARCHAR2(150 CHAR), 
	"SMNSWR_AGENT_TYPE" VARCHAR2(25 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_APPLICATION
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_APPLICATION" 
   (	"SMNSWR_APP_GUID" NUMBER(10,0), 
	"SMNSWR_APP_NAME" VARCHAR2(100 CHAR), 
	"SMNSWR_APP_OWNERID" NUMBER(10,0)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_CERTIFICATES
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" 
   (	"SMNSWR_CERTS_GUID" NUMBER(10,0), 
	"SMNSWR_CERTS_OWNERID" NUMBER(10,0), 
	"SMNSWR_CERTS_HOSTID" NUMBER(10,0), 
	"SMNSWR_CERTS_ASSOCIATEDAPPS" VARCHAR2(255 CHAR), 
	"SMNSWR_CERTS_PATH" VARCHAR2(255 CHAR), 
	"SMNSWR_CERTS_ISSUER" VARCHAR2(500 CHAR), 
	"SMNSWR_CERTS_ISSUEDBY" VARCHAR2(500 CHAR), 
	"SMNSWR_CERTS_SUBJECT" VARCHAR2(500 CHAR), 
	"SMNSWR_CERTS_ALGORITHM" VARCHAR2(100 CHAR), 
	"SMNSWR_CERTS_ISSUEDTO" VARCHAR2(500 CHAR), 
	"SMNSWR_CERTS_SERIALNUMBER" VARCHAR2(65 CHAR), 
	"SMNSWR_CERTS_VERSION" NUMBER(10,0), 
	"SMNSWR_CERTS_NOTBEFOREDATE" DATE, 
	"SMNSWR_CERTS_NOTAFTERDATE" DATE, 
	"SMNSWR_CERTS_IGNORE" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_CERTS_HASH" VARCHAR2(60 CHAR), 
	"SMNSWR_CERTS_LASTNOTIFYDATE" DATE, 
	"SMNSWR_CERTS_LASTSCANDATE" TIMESTAMP (6), 
	"SMNSWR_CERTS_ALIAS" VARCHAR2(500 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_CERTIFICATESTEMP
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" 
   (	"SMNSWR_TEMP_GUID" VARCHAR2(100 CHAR), 
	"SMNSWR_TEMP_OWNERID" NUMBER(10,0), 
	"SMNSWR_TEMP_HOSTID" NUMBER(10,0), 
	"SMNSWR_TEMP_PATH" VARCHAR2(255 CHAR), 
	"SMNSWR_TEMP_ISSUER" VARCHAR2(500 CHAR), 
	"SMNSWR_TEMP_SUBJECT" VARCHAR2(500 CHAR), 
	"SMNSWR_TEMP_ALGORITHM" VARCHAR2(100 CHAR), 
	"SMNSWR_TEMP_SERIALNUMBER" VARCHAR2(65 CHAR), 
	"SMNSWR_TEMP_VERSION" NUMBER(10,0), 
	"SMNSWR_TEMP_NOTBEFOREDATE" DATE, 
	"SMNSWR_TEMP_NOTAFTERDATE" DATE, 
	"SMNSWR_TEMP_PROCESSED" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_TEMP_STATUS" VARCHAR2(50 CHAR), 
	"SMNSWR_TEMP_LASTSCANDATE" TIMESTAMP (6), 
	"SMNSWR_TEMP_ALIAS" VARCHAR2(500 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_HOST
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_HOST" 
   (	"SMNSWR_HOST_GUID" NUMBER(10,0), 
	"SMNSWR_HOST_NAME" VARCHAR2(100 CHAR), 
	"SMNSWR_HOST_IPADDRESS" VARCHAR2(250 CHAR), 
	"SMNSWR_HOST_TYPE" VARCHAR2(25 CHAR), 
	"SMNSWR_HOST_OWNERID" NUMBER(10,0), 
	"SMNSWR_HOST_IPV6ADDRESS" VARCHAR2(250 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_IGNORECERTIFICATES
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_IGNORECERTIFICATES" 
   (	"SMNSWR_IGNORE_GUID" NUMBER(10,0), 
	"SMNSWR_IGNORE_ISSUER" VARCHAR2(500 CHAR), 
	"SMNSWR_IGNORE_ISSUEDBY" VARCHAR2(500 CHAR), 
	"SMNSWR_IGNORE_SUBJECT" VARCHAR2(500 CHAR), 
	"SMNSWR_IGNORE_ALGORITHM" VARCHAR2(100 CHAR), 
	"SMNSWR_IGNORE_ISSUEDTO" VARCHAR2(500 CHAR), 
	"SMNSWR_IGNORE_SERIALNUMBER" VARCHAR2(65 CHAR), 
	"SMNSWR_IGNORE_VERSION" NUMBER(10,0), 
	"SMNSWR_IGNORE_NOTBEFOREDATE" DATE, 
	"SMNSWR_IGNORE_NOTAFTERDATE" DATE, 
	"SMNSWR_IGNORE_HASH" VARCHAR2(65 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_KEYSTOREPWDS
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_KEYSTOREPWDS" 
   (	"SMNSWR_PWDS_GUID" NUMBER(10,0), 
	"SMNSWR_PWDS_PASSWORDS" VARCHAR2(500 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_LOG
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_LOG" 
   (	"SMNSWR_LOG_GUID" NUMBER(10,0), 
	"SMNSWR_LOG_PROCESS" VARCHAR2(50 CHAR), 
	"SMNSWR_LOG_STARTTIME" DATE, 
	"SMNSWR_LOG_ENDTIME" DATE, 
	"SMNSWR_LOG_STATUS" VARCHAR2(50 CHAR), 
	"SMNSWR_LOG_RESULTS" CLOB
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_NOTIFICATION
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" 
   (	"SMNSWR_NOTIFY_GUID" NUMBER(10,0), 
	"SMNSWR_NOTIFY_SERVER" VARCHAR2(255 CHAR), 
	"SMNSWR_NOTIFY_PORT" NUMBER(10,0), 
	"SMNSWR_NOTIFY_START" NUMBER(10,0) DEFAULT 90, 
	"SMNSWR_NOTIFY_TIMEOUT" NUMBER(10,0), 
	"SMNSWR_NOTIFY_SUBJECT" VARCHAR2(255 CHAR), 
	"SMNSWR_NOTIFY_FROM" VARCHAR2(255 CHAR), 
	"SMNSWR_NOTIFY_BODY" VARCHAR2(1000 CHAR), 
	"SMNSWR_NOTIFY_USESSL" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_NOTIFY_AUTHREQUIRED" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_NOTIFY_AUTHUSER" VARCHAR2(255 CHAR), 
	"SMNSWR_NOTIFY_AUTHPASSWORD" VARCHAR2(255 CHAR), 
	"SMNSWR_NOTIFY_FREQUENCY" NUMBER(10,0) DEFAULT 1, 
	"SMNSWR_NOTIFY_KEY" VARCHAR2(100 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_OWNER
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_OWNER" 
   (	"SMNSWR_OWNER_GUID" NUMBER(10,0), 
	"SMNSWR_OWNER_NAME" VARCHAR2(45 CHAR), 
	"SMNSWR_OWNER_EMAIL" VARCHAR2(75 CHAR), 
	"SMNSWR_OWNER_FIRSTNAME" VARCHAR2(45 CHAR), 
	"SMNSWR_OWNER_LASTNAME" VARCHAR2(45 CHAR), 
	"SMNSWR_OWNER_PHONE" VARCHAR2(25 CHAR)
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_SCANLIST
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" 
   (	"SMNSWR_SCAN_GUID" NUMBER(10,0), 
	"SMNSWR_SCAN_NAME" VARCHAR2(100 CHAR), 
	"SMNSWR_SCAN_IPADDRESS" VARCHAR2(250 CHAR), 
	"SMNSWR_SCAN_PORT" VARCHAR2(25 CHAR), 
	"SMNSWR_SCAN_PATH" VARCHAR2(1000 CHAR), 
	"SMNSWR_SCAN_NEXTRUN" DATE, 
	"SMNSWR_SCAN_FREQUENCY" NUMBER(10,0) DEFAULT 1, 
	"SMNSWR_SCAN_RUNNOW" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_SCAN_TYPE" VARCHAR2(25 CHAR), 
	"SMNSWR_SCAN_AGENTID" NUMBER(10,0), 
	"SMNSWR_SCAN_ENABLED" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_SCAN_OWNERID" NUMBER(10,0), 
	"SMNSWR_SCAN_TRUSTEDROOTCA_JKS" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_SCAN_TRUSTEDPUBS_P12" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_SCAN_INTERMEDIATECA_KDB" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_SCAN_THIRDPARTYCA_CERT" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_SCAN_SINGLECERTS" VARCHAR2(1000 CHAR), 
	"SMNSWR_SCAN_PERSONALCERTS" NUMBER(1,0) DEFAULT 0
   )
--------------------------------------------------------
--  DDL for Table SMNSWR_SCHEDULER
--------------------------------------------------------

  CREATE TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER" 
   (	"SMNSWR_SCHD_GUID" NUMBER(10,0), 
	"SMNSWR_SCHD_SERVICE" VARCHAR2(45 CHAR), 
	"SMNSWR_SCHD_NEXTRUN" DATE, 
	"SMNSWR_SCHD_FREQUENCY" NUMBER(10,0) DEFAULT 1, 
	"SMNSWR_SCHD_RUNNOW" NUMBER(1,0) DEFAULT 0, 
	"SMNSWR_SCHD_ENABLED" NUMBER(1,0) DEFAULT 0
   )
--------------------------------------------------------
--  DDL for View AGENTSCANLIST_VIEW
--------------------------------------------------------

  CREATE OR REPLACE VIEW "SMNSWR_CERTMGMT"."AGENTSCANLIST_VIEW" ("AGVIEW_SCANNAME", "AGVIEW_GUID", "AGVIEW_AGENTNAME", "AGVIEW_TYPE", "AGVIEW_ENABLED", "AGVIEW_OWNERID", "AGVIEW_IPADDRESS", "AGVIEW_TRUSTEDROOTCA_JKS", "AGVIEW_TRUSTEDPUBLISHERS_P12", "AGVIEW_INTERMEDIATECA_KDB", "AGVIEW_THIRDPARTYCA_CERT", "AGVIEW_PORT", "AGVIEW_CERTPATH", "AGVIEW_NEXTRUN", "AGVIEW_FREQUENCY", "AGVIEW_SINGLECERTS", "AGVIEW_RUNNOW", "AGVIEW_PERSONAL_CERT") AS 
  SELECT smnswr_scanlist.smnswr_scan_Name           AS agview_scanname,
  smnswr_scanlist.smnswr_scan_GUID                  AS agview_GUID,
  smnswr_agent.smnswr_agent_Server_Agent            AS agview_agentname,
  smnswr_scanlist.smnswr_scan_Type                  AS agview_type,
  smnswr_scanlist.smnswr_scan_Enabled               AS agview_enabled,
  smnswr_scanlist.smnswr_scan_OwnerID               AS agview_OwnerID,
  smnswr_scanlist.smnswr_scan_IPAddress             AS agview_IPAddress,
  smnswr_scanlist.smnswr_scan_TrustedRootCA_JKS     AS agview_TrustedRootCA_JKS,
  smnswr_scanlist.smnswr_scan_TrustedPubs_P12       AS agview_TrustedPublishers_P12,
  Smnswr_Scanlist.Smnswr_Scan_Intermediateca_Kdb    As Agview_Intermediateca_Kdb,
  smnswr_scanlist.smnswr_scan_ThirdPartyCA_Cert     AS agview_ThirdPartyCA_Cert,
  smnswr_scanlist.smnswr_scan_Port                  AS agview_port,
  smnswr_scanlist.smnswr_scan_Path                  AS agview_certpath,
  smnswr_scanlist.smnswr_scan_NextRun               AS agview_NextRun,
  Smnswr_Scanlist.Smnswr_Scan_Frequency             As Agview_Frequency,
  Smnswr_Scanlist.Smnswr_Scan_SingleCerts           As Agview_SingleCerts,
  smnswr_scanlist.smnswr_scan_RunNow                AS agview_RunNow,
  smnswr_scanlist.smnswr_scan_PersonalCerts 		AS agview_Personal_Cert
FROM (smnswr_scanlist
JOIN smnswr_agent
On((Smnswr_Scanlist.Smnswr_Scan_Agentid = Smnswr_Agent.Smnswr_Agent_Guid)))
--------------------------------------------------------
--  DDL for View CERTIFICATE_VIEW
--------------------------------------------------------

  CREATE OR REPLACE VIEW "SMNSWR_CERTMGMT"."CERTIFICATE_VIEW" ("CVIEW_GUID", "CVIEW_HOSTNAME", "CVIEW_CERTPATH", "CVIEW_ISSUER", "CVIEW_ISSUEDBY", "CVIEW_OWNER", "CVIEW_OWNEREMAIL", "CVIEW_SUBJECT", "CVIEW_ALGORITHM", "CVIEW_ISSUEDTO", "CVIEW_IGNORED", "CVIEW_VERSION", "CVIEW_STARTDATE", "CVIEW_ENDDATE", "CVIEW_NOTIFYDATE", "CVIEW_LASTSCANDATE", "CVIEW_HASH", "CVIEW_ALIAS") AS 
  SELECT smnswr_certificates.smnswr_certs_GUID      AS cview_GUID,
  smnswr_host.smnswr_host_Name                    AS cview_hostname,
  smnswr_certificates.smnswr_certs_Path           AS cview_certpath,
  smnswr_certificates.smnswr_certs_Issuer         AS cview_issuer,
  smnswr_certificates.smnswr_certs_IssuedBy       AS cview_issuedby,
  smnswr_owner.smnswr_owner_Name                  AS cview_owner,
  smnswr_owner.smnswr_owner_Email                 AS cview_owneremail,
  smnswr_certificates.smnswr_certs_Subject        AS cview_subject,
  smnswr_certificates.smnswr_certs_Algorithm      AS cview_algorithm,
  smnswr_certificates.smnswr_certs_IssuedTo       AS cview_issuedto,
  smnswr_certificates.smnswr_certs_Ignore         AS cview_ignored,
  smnswr_certificates.smnswr_certs_Version        AS cview_version,
  smnswr_certificates.smnswr_certs_NotBeforeDate  AS cview_StartDate,
  smnswr_certificates.smnswr_certs_NotAfterDate   AS cview_EndDate,
  Smnswr_Certificates.Smnswr_Certs_Lastnotifydate As cview_Notifydate,
  smnswr_certificates.Smnswr_Certs_Lastscandate   As cview_LastScandate,
  smnswr_certificates.smnswr_certs_Hash           AS cview_hash,
  smnswr_certificates.smnswr_certs_Alias		  AS cview_alias
FROM ((smnswr_certificates
LEFT JOIN smnswr_host
ON((smnswr_certificates.smnswr_certs_HostID = smnswr_host.smnswr_host_GUID)))
LEFT JOIN smnswr_owner
On((Smnswr_Certificates.Smnswr_Certs_Ownerid = Smnswr_Owner.Smnswr_Owner_Guid)))
--------------------------------------------------------
--  DDL for View TEMPCERTIFICATES_VIEW
--------------------------------------------------------

  CREATE OR REPLACE VIEW "SMNSWR_CERTMGMT"."TEMPCERTIFICATES_VIEW" ("CVIEW_GUID", "CVIEW_HOSTNAME", "CVIEW_CERTPATH", "CVIEW_ISSUER", "CVIEW_OWNER", "CVIEW_SUBJECT", "CVIEW_ALGORITHM", "CVIEW_VERSION", "CVIEW_STARTDATE", "CVIEW_ENDDATE", "CVIEW_LASTSCANDATE", "CVIEW_ALIAS") AS 
  SELECT smnswr_certificatestemp.smnswr_temp_GUID     AS cview_GUID,
  smnswr_host.smnswr_host_Name                      AS cview_hostname,
  smnswr_certificatestemp.smnswr_temp_Path          AS cview_certpath,
  smnswr_certificatestemp.smnswr_temp_Issuer        AS cview_issuer,
  smnswr_owner.smnswr_owner_Name                    AS cview_owner,
  smnswr_certificatestemp.smnswr_temp_Subject       AS cview_subject,
  smnswr_certificatestemp.smnswr_temp_Algorithm     AS cview_algorithm,
  smnswr_certificatestemp.smnswr_temp_Version       AS cview_version,
  smnswr_certificatestemp.smnswr_temp_NotBeforeDate AS cview_StartDate,
  smnswr_certificatestemp.smnswr_temp_NotAfterDate  AS cview_EndDate,
  smnswr_certificatestemp.smnswr_temp_LastScanDate  AS cview_LastScanDate,
  smnswr_certificatestemp.smnswr_temp_Alias 		AS cview_alias
From ((Smnswr_Certificatestemp
LEFT JOIN smnswr_host
ON((smnswr_certificatestemp.smnswr_temp_HostID = smnswr_host.smnswr_host_GUID)))
LEFT JOIN smnswr_owner
On((Smnswr_Certificatestemp.Smnswr_Temp_Ownerid = Smnswr_Owner.Smnswr_Owner_Guid)))
--------------------------------------------------------
--  DDL for Index CERTTEMP_IDXENDDATE
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."CERTTEMP_IDXENDDATE" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" ("SMNSWR_TEMP_NOTAFTERDATE")
--------------------------------------------------------
--  DDL for Index CERTTEMP_IDXSTARTDATE
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."CERTTEMP_IDXSTARTDATE" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" ("SMNSWR_TEMP_NOTBEFOREDATE")
--------------------------------------------------------
--  DDL for Index IDXAGENTID
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXAGENTID" ON "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" ("SMNSWR_SCAN_AGENTID")
--------------------------------------------------------
--  DDL for Index IDXCERTVIEW
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXCERTVIEW" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_HOSTID", "SMNSWR_CERTS_OWNERID")
--------------------------------------------------------
--  DDL for Index IDXCHECKEXISTS
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXCHECKEXISTS" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_HASH", "SMNSWR_CERTS_HOSTID", "SMNSWR_CERTS_PATH")
--------------------------------------------------------
--  DDL for Index IDXENDDATE
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXENDDATE" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_NOTAFTERDATE")
--------------------------------------------------------
--  DDL for Index IDXHASH
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXHASH" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_HASH")
--------------------------------------------------------
--  DDL for Index IDXHOST
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXHOST" ON "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" ("SMNSWR_SCAN_OWNERID")
--------------------------------------------------------
--  DDL for Index IDXHOSTID
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXHOSTID" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_HOSTID")
--------------------------------------------------------
--  DDL for Index IDXHOSTNAME
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXHOSTNAME" ON "SMNSWR_CERTMGMT"."SMNSWR_HOST" ("SMNSWR_HOST_NAME")
--------------------------------------------------------
--  DDL for Index IDXHOST_1
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXHOST_1" ON "SMNSWR_CERTMGMT"."SMNSWR_HOST" ("SMNSWR_HOST_OWNERID")
--------------------------------------------------------
--  DDL for Index IDXIGNORED
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXIGNORED" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_IGNORE")
--------------------------------------------------------
--  DDL for Index IDXISSUEDBY
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXISSUEDBY" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_ISSUEDBY")
--------------------------------------------------------
--  DDL for Index IDXISSUEDTO
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXISSUEDTO" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_ISSUEDTO")
--------------------------------------------------------
--  DDL for Index IDXNOTIFYDATE
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXNOTIFYDATE" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_LASTNOTIFYDATE")
--------------------------------------------------------
--  DDL for Index IDXPATH
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXPATH" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_PATH")
--------------------------------------------------------
--  DDL for Index IDXPROCESSED
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXPROCESSED" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" ("SMNSWR_TEMP_PROCESSED")
--------------------------------------------------------
--  DDL for Index IDXSCANENABLED
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXSCANENABLED" ON "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" ("SMNSWR_SCAN_ENABLED")
--------------------------------------------------------
--  DDL for Index IDXSERVERAGENT
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXSERVERAGENT" ON "SMNSWR_CERTMGMT"."SMNSWR_AGENT" ("SMNSWR_AGENT_SERVER_AGENT")
--------------------------------------------------------
--  DDL for Index IDXSTARTDATE
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXSTARTDATE" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_NOTBEFOREDATE")
--------------------------------------------------------
--  DDL for Index IDXTEMPVIEW
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IDXTEMPVIEW" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" ("SMNSWR_TEMP_HOSTID", "SMNSWR_TEMP_OWNERID")
--------------------------------------------------------
--  DDL for Index IGNORE_IDXHASH
--------------------------------------------------------

  CREATE INDEX "SMNSWR_CERTMGMT"."IGNORE_IDXHASH" ON "SMNSWR_CERTMGMT"."SMNSWR_IGNORECERTIFICATES" ("SMNSWR_IGNORE_HASH")
--------------------------------------------------------
--  DDL for Index SMNSWR_AGENT_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_AGENT_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_AGENT" ("SMNSWR_AGENT_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_APPLICATION_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_APPLICATION_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_APPLICATION" ("SMNSWR_APP_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_CERTIFICATESTEMP_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" ("SMNSWR_TEMP_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_CERTIFICATES_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ("SMNSWR_CERTS_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_HOST_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_HOST_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_HOST" ("SMNSWR_HOST_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_IGNORECERTIFICATES_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_IGNORECERTIFICATES_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_IGNORECERTIFICATES" ("SMNSWR_IGNORE_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_KEYSTOREPWDS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_KEYSTOREPWDS_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_KEYSTOREPWDS" ("SMNSWR_PWDS_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_LOG_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_LOG_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_LOG" ("SMNSWR_LOG_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_NOTIFICATION_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" ("SMNSWR_NOTIFY_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_OWNER_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_OWNER_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_OWNER" ("SMNSWR_OWNER_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_SCANLIST_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" ("SMNSWR_SCAN_GUID")
--------------------------------------------------------
--  DDL for Index SMNSWR_SCHEDULER_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER_PK" ON "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER" ("SMNSWR_SCHD_GUID")
--------------------------------------------------------
--  Constraints for Table SMNSWR_AGENT
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_AGENT" ADD CONSTRAINT "SMNSWR_AGENT_PK" PRIMARY KEY ("SMNSWR_AGENT_GUID") ENABLE
--------------------------------------------------------
--  Constraints for Table SMNSWR_APPLICATION
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_APPLICATION" ADD CONSTRAINT "SMNSWR_APPLICATION_PK" PRIMARY KEY ("SMNSWR_APP_GUID") ENABLE
--------------------------------------------------------
--  Constraints for Table SMNSWR_CERTIFICATES
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" MODIFY ("SMNSWR_CERTS_IGNORE" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" ADD CONSTRAINT "SMNSWR_CERTIFICATES_PK" PRIMARY KEY ("SMNSWR_CERTS_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATES" MODIFY ("SMNSWR_CERTS_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_CERTIFICATESTEMP
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" MODIFY ("SMNSWR_TEMP_PROCESSED" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" ADD CONSTRAINT "SMNSWR_CERTIFICATESTEMP_PK" PRIMARY KEY ("SMNSWR_TEMP_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_CERTIFICATESTEMP" MODIFY ("SMNSWR_TEMP_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_HOST
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_HOST" ADD CONSTRAINT "SMNSWR_HOST_PK" PRIMARY KEY ("SMNSWR_HOST_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_HOST" MODIFY ("SMNSWR_HOST_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_IGNORECERTIFICATES
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_IGNORECERTIFICATES" ADD CONSTRAINT "SMNSWR_IGNORECERTIFICATES_PK" PRIMARY KEY ("SMNSWR_IGNORE_GUID") ENABLE
--------------------------------------------------------
--  Constraints for Table SMNSWR_KEYSTOREPWDS
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_KEYSTOREPWDS" ADD CONSTRAINT "SMNSWR_KEYSTOREPWDS_PK" PRIMARY KEY ("SMNSWR_PWDS_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_KEYSTOREPWDS" MODIFY ("SMNSWR_PWDS_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_LOG
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_LOG" ADD CONSTRAINT "SMNSWR_LOG_PK" PRIMARY KEY ("SMNSWR_LOG_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_LOG" MODIFY ("SMNSWR_LOG_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_NOTIFICATION
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" MODIFY ("SMNSWR_NOTIFY_FREQUENCY" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" MODIFY ("SMNSWR_NOTIFY_AUTHREQUIRED" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" MODIFY ("SMNSWR_NOTIFY_USESSL" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" MODIFY ("SMNSWR_NOTIFY_START" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" ADD CONSTRAINT "SMNSWR_NOTIFICATION_PK" PRIMARY KEY ("SMNSWR_NOTIFY_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_NOTIFICATION" MODIFY ("SMNSWR_NOTIFY_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_OWNER
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_OWNER" ADD CONSTRAINT "SMNSWR_OWNER_PK" PRIMARY KEY ("SMNSWR_OWNER_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_OWNER" MODIFY ("SMNSWR_OWNER_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_SCANLIST
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" ADD CONSTRAINT "SMNSWR_SCANLIST_PK" PRIMARY KEY ("SMNSWR_SCAN_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_THIRDPARTYCA_CERT" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_INTERMEDIATECA_KDB" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_TRUSTEDPUBS_P12" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_TRUSTEDROOTCA_JKS" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_ENABLED" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_RUNNOW" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_FREQUENCY" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCANLIST" MODIFY ("SMNSWR_SCAN_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  Constraints for Table SMNSWR_SCHEDULER
--------------------------------------------------------

  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER" ADD CONSTRAINT "SMNSWR_SCHEDULER_PK" PRIMARY KEY ("SMNSWR_SCHD_GUID") ENABLE
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER" MODIFY ("SMNSWR_SCHD_ENABLED" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER" MODIFY ("SMNSWR_SCHD_RUNNOW" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER" MODIFY ("SMNSWR_SCHD_FREQUENCY" NOT NULL ENABLE)
  ALTER TABLE "SMNSWR_CERTMGMT"."SMNSWR_SCHEDULER" MODIFY ("SMNSWR_SCHD_GUID" NOT NULL ENABLE)
--------------------------------------------------------
--  DDL for Trigger AGENT_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."AGENT_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_AGENT
FOR EACH ROW 
BEGIN
  Select AGENT_GUIDGEN.nextval into :new.smnswr_agent_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."AGENT_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger CERTS_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."CERTS_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_CERTIFICATES 
FOR EACH ROW 
BEGIN
  Select CERTS_GUIDGEN.nextval into :new.smnswr_certs_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."CERTS_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger HOST_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."HOST_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_HOST
FOR EACH ROW 
BEGIN
  Select HOST_GUIDGEN.nextval into :new.smnswr_host_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."HOST_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger IGNORECERTS_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."IGNORECERTS_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_IGNORECERTIFICATES
FOR EACH ROW 
BEGIN
  Select IGNORECERTS_GUIDGEN.nextval into :new.smnswr_ignore_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."IGNORECERTS_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger LOG_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."LOG_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_LOG
FOR EACH ROW 
BEGIN
  Select LOG_GUIDGEN.nextval into :new.smnswr_log_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."LOG_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger NOTIFY_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."NOTIFY_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_NOTIFICATION 
FOR EACH ROW 
BEGIN
  Select NOTIFY_GUIDGEN.nextval into :new.smnswr_notify_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."NOTIFY_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger OWNER_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."OWNER_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_OWNER
FOR EACH ROW 
BEGIN
  Select OWNER_GUIDGEN.nextval into :new.smnswr_owner_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."OWNER_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger PWDS_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."PWDS_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_KEYSTOREPWDS
FOR EACH ROW 
BEGIN
  Select PWDS_GUIDGEN.nextval into :new.smnswr_pwds_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."PWDS_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger SCANLIST_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."SCANLIST_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_SCANLIST
FOR EACH ROW 
BEGIN
  Select SCANLIST_GUIDGEN.nextval into :new.smnswr_scan_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."SCANLIST_GUID" ENABLE
--------------------------------------------------------
--  DDL for Trigger SCHD_GUID
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "SMNSWR_CERTMGMT"."SCHD_GUID" 
BEFORE INSERT ON SMNSWR_CERTMGMT.SMNSWR_SCHEDULER
FOR EACH ROW 
BEGIN
  Select SCHD_GUIDGEN.nextval into :new.smnswr_schd_guid from dual;
END;
ALTER TRIGGER "SMNSWR_CERTMGMT"."SCHD_GUID" ENABLE
